<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Shop Index</title>
</head>
<body>
{% load cache%}
<h1>Main Shop app</h1>

{% cache 100 time %}
<p>
    Time: {{timer}}
</p>
{% endcache %}

<h2>Products:</h2>
<div>
    <ul>
        {% for name, price in products %}
        <li>{{name}} for ${{price}}</li>
        {% empty %}
        No product
        {% endfor %}
    </ul>
</div>
</body>
</html>